String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}
//**************************************************************************
function fFiltrar(){
	document.getElementById("TxtAc").value="F";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fFormaDePago(){
	var StrFDP=document.getElementById("CboFdp").value;
	document.getElementById("TxtNdp").value="";
	document.getElementById("TxtFecVen").value="";
	document.getElementById("CboBan").value="";
	if(StrFDP=="EFECTIVO"){
		document.getElementById("TxtNdp").readOnly=true;
		document.getElementById("TxtFecVen").readOnly=true;
		document.getElementById("CboBan").disabled=true;
	}else{
		document.getElementById("TxtNdp").readOnly=false;
		document.getElementById("TxtFecVen").readOnly=false;
		document.getElementById("CboBan").disabled=false;
	}
}
function fKiller(lpIndex){
	document.getElementById("TxtKill").value=lpIndex;
	document.getElementById("TxtAc").value="KILLER";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fCancelar(){
	document.getElementById("TxtAc").value="C";
	document.getElementById("Frm").submit();
}
function fCls(){
	document.getElementById("TxtPro").value="";
	document.getElementById("TxtIdPro").value="";
	document.getElementById("CboMon").value="";
}
//**************************************************************************
function fGuardar(){
	var Sal=document.getElementById("DivSaldo").innerHTML;	
	var Alm=document.getElementById("CboAlm").value;
	var Fec=document.getElementById("TxtFec").value;
	var Pro=document.getElementById("TxtPro").value;
	var IdPro=document.getElementById("TxtIdPro").value;
	var Mon=document.getElementById("CboMon").value;
	var Tot=document.getElementById("TxtTot").value;
	var Fdp=document.getElementById("CboFdp").value;
	var FecVen=document.getElementById("TxtFecVen").value;
	if(Alm.trim().length==0){
		alert("Seleccione un almacen");
		document.getElementById("CboAlm").focus();
		return;
	}
	if(Fec.trim().length==0){
		alert("Ingrese la fecha de emision ");
		document.getElementById("TxtFec").focus();
		return;
	}
	if(EsFecha(Fec)==false){
		alert("Fecha no valida, la fecha debe ser ingresada segun el formato 'dd-mm-yy'");
		document.getElementById("TxtFec").focus();
		return;
	}
	if(Pro.trim().length==0){
		alert("Seleccione el cliente correspondiente");
		document.getElementById("CmdSel").focus();
		return;
	}
	if(IdPro.trim().length==0){
		alert("Seleccione el cliente correspondiente. No se puede determinar el Id");
		document.getElementById("CmdSel").focus();
		return;
	}
	if(Mon.trim().length==0){
		alert("Seleccione la moneda correspondiente");
		document.getElementById("CboMon").focus();
		return;
	}
	if(Tot.trim().length==0){
		alert("Ingrese el total a emitir");
		document.getElementById("TxtTot").focus();
		return;
	}
	t=parseFloat(Tot);
	s=parseFloat(Sal);
	if(t>s){
		var Rpta = confirm("El total es superior al saldo pendiente. Aun asi desea continuar?")		
		if (Rpta==false){
			document.getElementById("TxtTot").focus();
			return;
		}
	}
	if(Fdp.trim().length==0){
		alert("Seleccione la forma de pago");
		document.getElementById("CboFdp").focus();
		return;
	}
	if(Fdp!="EFECTIVO"){
		if(FecVen.trim().length==0){		
			alert("Ingrese la fecha de vencimiento");
			document.getElementById("TxtFecVen").focus();
			return;
		}
	}
	if(FecVen.trim().length>0){
		if(EsFecha(FecVen)==false){
		alert("Fecha de vencimiento no valida, la fecha debe ser ingresada segun el formato 'dd-mm-yy'");
		document.getElementById("TxtFecVen").focus();
		return;
		}
	}
	var Rpta = confirm("Esta seguro que desea Guardar?")		
	if (Rpta==false){
		return;
	}	
	if(document.getElementById("CmdG").value=="Guardar"){
		document.getElementById("TxtAc").value="G";
	}else{
		document.getElementById("TxtAc").value="M";
	}
	document.getElementById("Frm").submit();
}
/**************************************************************************
	onkeypress="return pulsar(event);"
**************************************************************************/
function pulsar(e) { 	
	var tecla = (document.all) ? e.keyCode :e.which; 
	var Obj=event.srcElement.name;	
	if(Obj=="TxtNom"){
		if(tecla==13){			
			document.getElementById('CmdG').click();			
		}
	}	
	return (tecla!=13); 
} 
//**************************************************************************
function fDeshacer(){
	var Rpta = confirm("Esta seguro que desea deshacer el cobro?")		
	if (Rpta==true){
		document.getElementById("TxtAc").value="DESHACER";
		document.getElementById("Frm").submit();
	}
}
//**************************************************************************
function fPagar(){
	var FecPag=document.getElementById("TxtFecPag").value;
	if(FecPag.trim().length==0){
		alert("Ingrese la fecha en que se realizo el cobro");
		document.getElementById("TxtFecPag").focus();
		return;
	}
	if(EsFecha(FecPag)==false){
		alert("Fecha no valida, la fecha debe ser ingresada segun el formato 'dd-mm-yy'");
		document.getElementById("TxtFecPag").focus();
		return;
	}
	document.getElementById("TxtAc").value="Pagar";
	document.getElementById("Frm").submit();
}

function fLoad(){
	document.getElementById("TxtAc").value="LOAD";
	document.getElementById("Frm").submit();
}
function fAdd(){
	var IdC=document.getElementById("TxtIdPro").value;	
	var Mon=document.getElementById("CboMon").value;
	var Cli=document.getElementById("TxtPro").value;
	var Com=document.getElementById("CboCom").value;
	var Ser=document.getElementById("TxtSer").value;
	var Num=document.getElementById("TxtNum").value;
	//
	if(jLen(Cli)==0){
		alert("Seleccione un cliente");
		jFocus("TxtPro");
		return true;
	}		
	if(jLen(IdC)==0){
		alert("No se puede determinar el id del cliente, seleccione un cliente nuevamente");
		jFocus("TxtPro");
		return true;
	}
	if(jLen(Mon)==0){
		alert("Seleccione la moneda correspondiente");
		jFocus("CboMon");
		return true;
	}
	if(jLen(Com)==0){
		alert("Seleccione un comprobante");
		jFocus("CboCom");
		return true;
	}
	if(jLen(Ser)==0){
		alert("Ingrese el numero de serie");
		jFocus("TxtSer");
		return true;
	}
	if(jLen(Num)==0){
		alert("Ingrese el numero de comprobante");
		jFocus("TxtNum");
		return true;
	}
	document.getElementById("TxtAc").value="ADD";
	document.getElementById("Frm").submit();
}
//
function CboFdp_onKey(e,Sig){
	var Fdp=document.getElementById("CboFdp").value;
	k=(document.all) ? e.keyCode :e.which; 
	if(k==219){
		return false;
	}else{
		if(k==13){
			if(Fdp=="EFECTIVO"){
				jFocus("CboCom");
			}else{
				jFocus("TxtNdp");
			}
			return true;
		}
	}
	
}
function GetTOT(e,Sig){	
	var k;
	var IdC=document.getElementById("TxtIdPro").value;	
	var Mon=document.getElementById("CboMon").value;
	var Cli=document.getElementById("TxtPro").value;
	var Com=document.getElementById("CboCom").value;
	var Ser=document.getElementById("TxtSer").value;
	var Num=document.getElementById("TxtNum").value;
	k=(document.all) ? e.keyCode :e.which; 
	if(k==219){
		return false;
	}else{
		if(k==13){	
			//alert(IdC);
			if(jLen(Cli)==0){
				alert("Seleccione un cliente");
				jFocus("TxtPro");
				return true;
			}		
			if(jLen(IdC)==0){
				alert("No se puede determinar el id del cliente, seleccione un cliente nuevamente");
				jFocus("TxtPro");
				return true;
			}
			if(jLen(Mon)==0){
				alert("Seleccione la moneda correspondiente");
				jFocus("CboMon");
				return true;
			}
			if(jLen(Com)==0){
				alert("Seleccione un comprobante");
				jFocus("CboCom");
				return true;
			}
			if(jLen(Ser)==0){
				alert("Ingrese el numero de serie");
				jFocus("TxtSer");
				return true;
			}
			if(jLen(Num)==0){
				alert("Ingrese el numero de comprobante");
				jFocus("TxtNum");
				return true;
			}
			document.getElementById("TxtAc").value="G_T";
			document.getElementById("Frm").submit();			
		}
		return true;
	}
}
//**************************************************************************
function fGetSaldoDol(lpIdPro,lpMon){
	DivDatos = document.getElementById("DivSaldo");
	if(lpMon.trim().length>0){
		var StrUrl="";
		if(lpMon=="DOLARES"){
			StrUrl="ajax_funciones.php?Cmd=CLI_GET_SALDO_DOL&TxtPar="+lpIdPro;
		}else{
			StrUrl="ajax_funciones.php?Cmd=CLI_GET_SALDO_SOL&TxtPar="+lpIdPro;
		}
		if(lpIdPro.trim().length>0){			
			ajax=CreateAJAX();
			ajax.open("GET", StrUrl);	
			ajax.onreadystatechange=function() {
				   if (ajax.readyState==4) {
							var StrDatos=ajax.responseText;
							if(StrDatos.trim().length>0){			  
							   DivDatos.innerHTML = StrDatos;
							}else{
								DivDatos.innerHTML ="0.0";
							}
				   }
			}
			ajax.send(null);
		}
	}else{
		DivDatos.innerHTML ="0.0";
	}
}
